Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4729 - logrotate fails to rotate in certain circumstance
Summary: logrotate fails to rotate in certain circumstance
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: logrotate
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-26 20:39 UTC by chrismcc
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-27 20:01:48 UTC


Attachments (Terms of Use)

Description chrismcc 1999-08-26 20:39:50 UTC
with this test config:
rotate 10
errors root
size 100
compress
delaycompress
/path/file {
	}

if /path/file.1.gz exists /path/file will not be rotated

for example, /path/file is a web log.  After rotation
logresolve is run on /path/file.1 ,  the log is then
compressed leaving /path/file.1.gz .

possible fix suggestion, if /path/file.1.gz exists, move to
/path/file.2.gz then move /path/file to /path/file.1

probably the same on all arch
tested with 5.2, 6.0, and rawhide as of Aug 18,1999

Comment 1 Preston Brown 1999-08-27 03:45:59 UTC
can you please turn on debugging (run logrotate with -d) and send me
the output?  I see that what you have discovered is valid, but I want
to pin down exactly what is happening in the code.

Comment 2 Preston Brown 1999-08-27 20:01:59 UTC
user reports that they were incorrect.


Note You need to log in before you can comment on or make changes to this bug.